# Returns a list of records with the specified program_applicant_id

Returns a list of records with the specified program_applicant_id

Endpoint: GET /applications/{tenantId}/programApplicant/{programId}/{ownerType}/{ownerId}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The tenant

  - `programId` (string, required)
    The program id to use to for record lookup

  - `ownerType` (string, required)
    The contact or organization type

  - `ownerId` (string, required)
    The contact or organization type

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200:

  - `200` (unknown)
    The records were retrieved successfully

## Response 200 fields (application/json):

  - `Count` (integer)

  - `Items` (array)

  - `Items.activation_date` (string)
    The date the certification was activated

  - `Items.average_score` (number)
    The average score for this submission in the most recent round

  - `Items.bucket_id` (string, required)
    The review bucket

  - `Items.certification_id` (string)
    The certification that this application is tied to

  - `Items.city` (string)
    The member city

  - `Items.contact_id` (string, required)
    The contact who is applying

  - `Items.country` (string)
    The member country

  - `Items.course_offering_ids` (array)

  - `Items.credits` (array)

  - `Items.credits.credit_id` (string, required)
    The credit being used

  - `Items.credits.credit_type_id` (string, required)
    The type of credit

  - `Items.credits.exclusive` (boolean)
    If true, this credit application reduced the available quantity on the credit

  - `Items.credits.quantity` (number, required)
    The number of credits applied to the application

  - `Items.custom_field_values` (array)

  - `Items.custom_field_values.boolean_value` (boolean)
    The boolean value

  - `Items.custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `Items.custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `Items.custom_field_values.list_value` (array)
    The list value

  - `Items.custom_field_values.numeric_value` (number)
    The numeric value

  - `Items.custom_field_values.string_value` (string)
    The string value of the custom field

  - `Items.custom_field_values.table_value` (array)
    A list of objects (a table)

  - `Items.date` (string, required)
    The date of the application

  - `Items.email_address` (string)
    The member's email address

  - `Items.embed_membership_application` (boolean)
    Whether or not to embed a whole membership application

  - `Items.exam_fail_letter_sent_date` (string)
    The date a letter was sent notifying the user that the failed the exam

  - `Items.exam_offering_ids` (array)

  - `Items.exam_pass_letter_sent_date` (string)
    The date a letter was sent notifying the user that the passed the exam

  - `Items.expiration_date` (string)
    The date this application should no longer be eligible

  - `Items.first_name` (string)
    The member's first name

  - `Items.id` (string, required)
    The unique, string identifier of this application

  - `Items.job_title` (string)
    The member job title

  - `Items.last_name` (string)
    The member's last name

  - `Items.last_reminder_date` (string)
    The last time a reminder was sent for this application

  - `Items.last_requirements_calculation_date` (string)
    The date/time that requirements were last calculated

  - `Items.last_review_status_change` (string)
    The date that the review status was last changed

  - `Items.missing_requirements` (array)
    A list of missing requirements... this is automatically calculated for reporting only

  - `Items.missing_requirements.id` (string, required)
    Requirement id

  - `Items.missing_requirements.internal_notes` (string)
    Internal notes

  - `Items.missing_requirements.name` (string)
    A description of the requirement

  - `Items.missing_requirements.notes` (string)
    Any notes, visible to the applicant

  - `Items.missing_requirements.portal_explanation` (string)

  - `Items.missing_requirements.type` (string)

  - `Items.missing_requirements.weight` (number)

  - `Items.name` (string, required)
    The member's name

  - `Items.name_to_be_printed_on_certificate` (string)
    The name to be displayed on the certificate

  - `Items.notes` (string)
    Notes

  - `Items.notices` (array)

  - `Items.notices.date` (string, required)
    The date the notice was send

  - `Items.notices.notice_id` (string, required)
    The notice

  - `Items.number` (number)
    The application number

  - `Items.number_of_missing_requirements` (number)
    The number of missing requirements

  - `Items.order_id` (string)
    The order that last touched this application

  - `Items.order_line_item_id` (string)
    The order line item touched this application

  - `Items.organization_id` (string, required)
    The organization

  - `Items.override_bucket_assignment` (boolean)
    If set, the bucket is not calculated automatically, and instead manually assigned

  - `Items.owner_type` (string, required)
    Enum: "contact", "organization"

  - `Items.pending_console_review` (boolean)
    If true, then this record has been reviewed and now needs action by the staff

  - `Items.percentage_complete` (number)
    The percentage of requirements that have been met

  - `Items.process_id` (string)
    The application process

  - `Items.program_id` (string, required)
    The certification program

  - `Items.references` (array)

  - `Items.references.id` (string)
    A unique identifier for the reference

  - `Items.references.reference_contact_info` (object)
    Contact info for the reference

  - `Items.references.reference_type_id` (string)
    Type of reference

  - `Items.requirements` (array)

  - `Items.requirements.date_requirement_fulfilled` (string)
    The date that the requirement was fulfilled

  - `Items.requirements.id` (string, required)
    Requirement id

  - `Items.requirements.internal_notes` (string)
    Internal notes

  - `Items.requirements.name` (string)
    A description of the requirement

  - `Items.requirements.not_applicable` (boolean)
    If true, this requirement is not applicable to this application and not used in calculations

  - `Items.requirements.notes` (string)
    Any notes, visible to the applicant

  - `Items.requirements.portal_explanation` (string)

  - `Items.requirements.status` (string, required)
    Enum: "fulfilled", "pending review", "unfulfilled"

  - `Items.requirements.type` (string)

  - `Items.requirements.weight` (number)

  - `Items.review_board_approval_date` (string)
    The date the application was decided by the board

  - `Items.review_board_submission_date` (string)
    The date the application was submitted to the review board

  - `Items.review_status` (string)
    The review status of this application
    Enum: "accepted", "alternate", "declined", "pending review"

  - `Items.reviewer_recommendation` (string)
    Aggregate recommendation across all reviewers

  - `Items.round_id` (string)
    The review round

  - `Items.signature_uri` (string)
    The signature

  - `Items.state` (string)
    The state

  - `Items.status` (string)
    Enum: "activated", "approved", "draft", "expired", "missing requirements", "pending approval", "rejected"

  - `Items.status_reason_id` (string)
    The reason the app is in the status - sub-status

  - `Items.submission_space_id` (string)
    The submission space to which this object belongs

  - `Items.sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `Items.sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `Items.sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `Items.sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `Items.sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `Items.sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `Items.sys_calculated_field_errors` (array)

  - `Items.sys_calculated_field_errors.error` (string)

  - `Items.sys_calculated_field_errors.field` (string)

  - `Items.sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `Items.sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `Items.sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `Items.sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `Items.sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `Items.sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `Items.sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `Items.sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `Items.sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `Items.sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `Items.sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `Items.sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `Items.sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `Items.sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `Items.sys_version` (number)
    A number representing the version of this record in the database

  - `Items.target_program_id` (string, required)
    For transfer applications, the target program to transfer

  - `Items.total_score` (number)
    The total score for this submission in the most recent round

  - `Items.training_provider_billing_date` (string)
    The date this application was billing to the training provider

  - `Items.training_provider_billing_invoice_id` (string)
    The invoice that was created to bill for this application

  - `Items.training_provider_billing_invoice_line_item_id` (string)
    The invoice that was created to bill for this application

  - `Items.training_provider_billing_name` (string)
    The training provider name (for billing)

  - `Items.training_provider_billing_status` (string)
    The training provider billing status for this application
    Enum: "billed", "billing hold", "exempt from billing", "not yet billed"

  - `Items.training_provider_id` (string)
    The training provider with which this application is associated

  - `Items.type` (string, required)
    Enum: "certification", "reinstatement", "renewal", "transfer"

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    Unable to locate records

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve records based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

